RetCodeConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.RetCodeConstants interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Interface RetCodeConstants

All Known Implementing Classes:
  Constants, RequestKeyConstants

    public interface RetCodeConstants

Struts return codes

Field Summary
`static java.lang.String` | `ADD_URL` The symbolic name of the `ActionForward` to which control is transferred when an "add to list" button is clicked.
`static java.lang.String` | `AJAX_URL` The symbolic name of the `ActionForward` to which control is transferred when response is AJAX
`static java.lang.String` | `BACK_URL` The symbolic name of the `ActionForward` to which control is transferred when a "Return to ..." link is clicked.
`static java.lang.String` | `CANCEL_URL` The symbolic name of the `ActionForward` to which control is transferred when the user cancels a form workflow.
`static java.lang.String` | `CHART_URL` The symbolic name of the `ActionForward` to which control is transferred when a "chart selected metrics" button is clicked.
`static java.lang.String` | `COMPARE_URL` The symbolic name of the `ActionForward` to which control is transferred when a "compare metrics of selected services" button is clicked.
`static java.lang.String` | `EDIT_RANGE_URL` The symbolic name of the `ActionForward` to which control is transferred when an "edit range..." button is clicked.
`static java.lang.String` | `EDIT_URL` The symbolic name of the `ActionForward` to which control is transferred when an edit button is clicked to submit to a non-edit action.
`static java.lang.String` | `FAILURE_URL` The symbolic name of the `ActionForward` to which control is transferred when a form workflow completes abnormally.
`static java.lang.String` | `NEW_URL` The symbolic name of the `ActionForward` to which control is transferred when an new button is clicked to include a "new object" workflow into the current workflow
`static java.lang.String` | `OK_ASSIGN_URL` The symbolic name of the `ActionForward` to which control is transferred when user has clicked on the okassign button
`static java.lang.String` | `REDRAW_URL` The symbolic name of the `ActionForward` to which control is transferred when a "Redraw ..." button is clicked.
`static java.lang.String` | `REMOVE_URL` The symbolic name of the `ActionForward` to which control is transferred when an "remove to list" button is clicked.
`static java.lang.String` | `RESET_URL` The symbolic name of the `ActionForward` to which control is transferred when the user resets a form
`static java.lang.String` | `RSS_URL` The symbolic name of the `ActionForward` to which control is transferred when a RSS feed is requested
`static java.lang.String` | `SCHEDULE_TYPE_CHG_URL` The symbolic name of the `ActionForward` to which control is transferred when the user cancels a form workflow.
`static java.lang.String` | `SUCCESS_URL` The symbolic name of the `ActionForward` to which control is transferred when a form workflow completes successfully.

Field Detail

### CANCEL_URL

    static final java.lang.String CANCEL_URL

  The symbolic name of the `ActionForward` to which control is transferred when the user cancels a form workflow.

  See Also:
    Constant Field Values

### RESET_URL

    static final java.lang.String RESET_URL

  The symbolic name of the `ActionForward` to which control is transferred when the user resets a form

  See Also:
    Constant Field Values

### FAILURE_URL

    static final java.lang.String FAILURE_URL

  The symbolic name of the `ActionForward` to which control is transferred when a form workflow completes abnormally.

  See Also:
    Constant Field Values

### SUCCESS_URL

    static final java.lang.String SUCCESS_URL

  The symbolic name of the `ActionForward` to which control is transferred when a form workflow completes successfully.

  See Also:
    Constant Field Values

### OK_ASSIGN_URL

    static final java.lang.String OK_ASSIGN_URL

  The symbolic name of the `ActionForward` to which control is transferred when user has clicked on the okassign button

  See Also:
    Constant Field Values

### NEW_URL

    static final java.lang.String NEW_URL

  The symbolic name of the `ActionForward` to which control is transferred when an new button is clicked to include a "new object" workflow into the current workflow

  See Also:
    Constant Field Values

### EDIT_URL

    static final java.lang.String EDIT_URL

  The symbolic name of the `ActionForward` to which control is transferred when an edit button is clicked to submit to a non-edit action.

  See Also:
    Constant Field Values

### ADD_URL

    static final java.lang.String ADD_URL

  The symbolic name of the `ActionForward` to which control is transferred when an "add to list" button is clicked.

  See Also:
    Constant Field Values

### REMOVE_URL

    static final java.lang.String REMOVE_URL

  The symbolic name of the `ActionForward` to which control is transferred when an "remove to list" button is clicked.

  See Also:
    Constant Field Values

### COMPARE_URL

    static final java.lang.String COMPARE_URL

  The symbolic name of the `ActionForward` to which control is transferred when a "compare metrics of selected services" button is clicked.

  See Also:
    Constant Field Values

### CHART_URL

    static final java.lang.String CHART_URL

  The symbolic name of the `ActionForward` to which control is transferred when a "chart selected metrics" button is clicked.

  See Also:
    Constant Field Values

### EDIT_RANGE_URL

    static final java.lang.String EDIT_RANGE_URL

  The symbolic name of the `ActionForward` to which control is transferred when an "edit range..." button is clicked.

  See Also:
    Constant Field Values

### REDRAW_URL

    static final java.lang.String REDRAW_URL

  The symbolic name of the `ActionForward` to which control is transferred when a "Redraw ..." button is clicked.

  See Also:
    Constant Field Values

### BACK_URL

    static final java.lang.String BACK_URL

  The symbolic name of the `ActionForward` to which control is transferred when a "Return to ..." link is clicked.

  See Also:
    Constant Field Values

### SCHEDULE_TYPE_CHG_URL

    static final java.lang.String SCHEDULE_TYPE_CHG_URL

  The symbolic name of the `ActionForward` to which control is transferred when the user cancels a form workflow.

  See Also:
    Constant Field Values

### RSS_URL

    static final java.lang.String RSS_URL

  The symbolic name of the `ActionForward` to which control is transferred when a RSS feed is requested

  See Also:
    Constant Field Values

### AJAX_URL

    static final java.lang.String AJAX_URL

  The symbolic name of the `ActionForward` to which control is transferred when response is AJAX

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.